net.sf.okapi.common.annotation

## Class XLIFFPhase

- java.lang.Object
- - net.sf.okapi.common.annotation.XLIFFPhase

-     public class XLIFFPhase
      extends java.lang.Object

  Annotation representing the <phase> element within an XLIFF <file><header>. The set of phase elements should be contained within the XLIFFPhaseAnnotation on a StartSubDocument Event.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLIFFPhase(java.lang.String phaseName, java.lang.String processName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSkeletonContent(java.lang.String text)`
    `java.lang.String` | `getCompanyName()`
    `java.lang.String` | `getContactEmail()`
    `java.lang.String` | `getContactName()`
    `java.lang.String` | `getContactPhone()`
    `java.lang.String` | `getJobId()`
    `java.lang.String` | `getPhaseName()`
    `java.lang.String` | `getProcessName()`
    `java.lang.String` | `getToolId()`
    `void` | `setCompanyName(java.lang.String companyName)`
    `void` | `setContactEmail(java.lang.String contactEmail)`
    `void` | `setContactName(java.lang.String contactName)`
    `void` | `setContactPhone(java.lang.String contactPhone)`
    `void` | `setJobId(java.lang.String jobId)`
    `void` | `setToolId(java.lang.String toolId)`
    `java.lang.String` | `toXML()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XLIFFPhase

          public XLIFFPhase(java.lang.String phaseName,
                            java.lang.String processName)

  - ### Method Detail

    - #### getPhaseName

          public java.lang.String getPhaseName()

    - #### getProcessName

          public java.lang.String getProcessName()

    - #### getCompanyName

          public java.lang.String getCompanyName()

    - #### setCompanyName

          public void setCompanyName(java.lang.String companyName)

    - #### getToolId

          public java.lang.String getToolId()

    - #### setToolId

          public void setToolId(java.lang.String toolId)

    - #### getJobId

          public java.lang.String getJobId()

    - #### setJobId

          public void setJobId(java.lang.String jobId)

    - #### getContactName

          public java.lang.String getContactName()

    - #### setContactName

          public void setContactName(java.lang.String contactName)

    - #### getContactEmail

          public java.lang.String getContactEmail()

    - #### setContactEmail

          public void setContactEmail(java.lang.String contactEmail)

    - #### getContactPhone

          public java.lang.String getContactPhone()

    - #### setContactPhone

          public void setContactPhone(java.lang.String contactPhone)

    - #### addSkeletonContent

          public void addSkeletonContent(java.lang.String text)

    - #### toXML

          public java.lang.String toXML()